process-extras-0.7.1: Process extras

Safe Haskell | None
Language | Haskell2010

System.Process.Text

Contents

- Orphan instances

Synopsis

- readProcessWithExitCode :: FilePath -> [String] -> Text -> IO (ExitCode, Text, Text)
- readCreateProcessWithExitCode :: CreateProcess -> Text -> IO (ExitCode, Text, Text)

# Documentation

readProcessWithExitCode #

Arguments

:: FilePath | command to run
-> [String] | any arguments
-> Text | standard input
-> IO (ExitCode, Text, Text) | exitcode, stdout, stderr

Specialized version for backwards compatibility.

readCreateProcessWithExitCode #

Arguments

:: CreateProcess | command and arguments to run
-> Text | standard input
-> IO (ExitCode, Text, Text) | exitcode, stdout, stderr

# Orphan instances

ListLikeProcessIO Text Char # | Like `readProcessWithExitCode`, but using `Text`
Methods forceOutput :: Text -> IO Text # readChunks :: Handle -> IO [Text] #
ProcessText Text Char # |